org.apache.ignite.internal.pagemem.wal.record.delta

## Class DataPageInsertFragmentRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.DataPageInsertFragmentRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class DataPageInsertFragmentRecord
    extends PageDeltaRecord

Insert fragment (part of big object which is bigger than page size) to data page record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`DataPageInsertFragmentRecord(int grpId, long pageId, byte[] payload, long lastLink)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `lastLink()`
`byte[]` `payload()`
`int` `payloadSize()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataPageInsertFragmentRecord

    public DataPageInsertFragmentRecord(int grpId,
                                        long pageId,
                                        byte[] payload,
                                        long lastLink)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `payload` - Fragment payload.
  `lastLink` - Link to the last entry fragment.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### payloadSize

    public int payloadSize()

Returns:
  Fragment payload size.

#### payload

    public byte[] payload()

Returns:
  Fragment payload.

#### lastLink

    public long lastLink()

Returns:
  Link to the last entry fragment.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023